# Schema for the configuration files of the Shortcut module.

shortcut.set.*:
  type: config_entity
  label: 'Shortcut settings'
  mapping:
    id:
      type: machine_name
      label: 'ID'
      # Shortcut set IDs are specifically limited to 23 characters, and allow
      # dashes but not underscores.
      # @see \Drupal\shortcut\ShortcutSetForm::form()
      constraints:
        Regex:
          pattern: '/^[a-z0-9-]+$/'
          message: "The %value machine name is not valid."
        Length:
          max: 23
    label:
      type: required_label
      label: 'Label'

# Schema for theme settings.
theme_settings.third_party.shortcut:
  type: mapping
  label: 'Shortcut settings'
  mapping:
    module_link:
      type: boolean
      label: 'Add shortcut link'
